Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591592 - Installer fails to find SATA hard disk on a nVidia CK804 SATA controller
Summary: Installer fails to find SATA hard disk on a nVidia CK804 SATA controller
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: David Milburn
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 16:09 UTC by James Pearson
Modified: 2010-05-21 16:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-21 16:08:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
/tmp/storage.log (deleted)
2010-05-13 09:54 UTC, James Pearson
no flags Details
/tmp/syslog (deleted)
2010-05-13 09:58 UTC, James Pearson
no flags Details

Description James Pearson 2010-05-12 16:09:30 UTC
Description of problem:

Installer fails to find SATA hard disks

Version-Release number of selected component (if applicable):

RHEL6.0-20100414.0-AP-x86_64

How reproducible:

Boot RHEL6.0-20100414 DVD

Steps to Reproduce:
1. Boot RHEL6.0-20100414 DVD
2.
3.
  
Actual results:

Installer complains that no storage devices are found

Expected results:

Installer finding disks 

Additional info:

Workstation is a dual Opteron (252) system with an nVidia based CK804
motherboard.

The machine has 2 WDC WD740GD SATA disks using the on board CK804 SATA controllers. The sata_nv module is loaded.

The machine currently has CentOS 5 installed and the disks work fine.

Comment 2 Chris Lumens 2010-05-12 17:24:49 UTC
Can you attach /tmp/storage.log and /tmp/syslog to this bug report?  Depending on what those say, we may also need the output of "udevadm info --export-db", which is easily accessible on tty2 via ^Rudev.

Comment 3 RHEL Product and Program Management 2010-05-12 18:07:36 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 James Pearson 2010-05-13 09:54:07 UTC
Created attachment 413702 [details]
/tmp/storage.log

Comment 5 James Pearson 2010-05-13 09:58:11 UTC
Created attachment 413704 [details]
/tmp/syslog

I couldn't get the ethernet controller to work, so had to resort to using a floppy disk to get the logs (hence the fd0 errors in syslog while trying to find a working floppy disk!)

Comment 6 Hans de Goede 2010-05-13 10:02:07 UTC
Looking at the syslog, the kernel simply is not seeing your harddisk at all, moving this over to the kernel.

Comment 7 James Pearson 2010-05-14 13:55:59 UTC
I've just tried to install Fedora 12 on this hardware - and get the same issue.

Also, I am unable to set up the NICs manually (via tty2) in the installer with both Fedora 12 and RHEL 6.0 - see the forcedeth messages in the syslog attached earlier, so I guess it is some issue with the kernel and the CK804 chipset ???

Comment 8 Hans de Goede 2010-05-14 14:04:16 UTC
(In reply to comment #7)
> I've just tried to install Fedora 12 on this hardware - and get the same issue.
> 
> Also, I am unable to set up the NICs manually (via tty2) in the installer with
> both Fedora 12 and RHEL 6.0 - see the forcedeth messages in the syslog attached
> earlier, so I guess it is some issue with the kernel and the CK804 chipset ???    

Likely try adding some of the usual kernel cmdline options like pci=nomsi and acpi=off and noioapic.

Comment 9 James Pearson 2010-05-14 14:35:06 UTC
(In reply to comment #8)
> 
> Likely try adding some of the usual kernel cmdline options like pci=nomsi and
> acpi=off and noioapic.

These make no difference ... either individually or all of them

Comment 10 Hans de Goede 2010-05-14 15:02:04 UTC
I've no clue then I hope the kernel team can help you with further debugging this.

Comment 11 James Pearson 2010-05-21 15:12:43 UTC
I've installed the latest BIOS for this hardware - and now the installer works fine and finds the disks (and NIC)

I'm not sure if it was the new BIOS, or the fact that installing a new BIOS resets the BIOS settings that fixed the issue.

Anyway, I have now installed RHEL6 beta1 on this machine - so I guess this can be closed

Comment 12 David Milburn 2010-05-21 16:08:22 UTC
Thanks for the update.


Note You need to log in before you can comment on or make changes to this bug.